#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
vector<int> solve(vector<int> a)
{
    vector<int>res;
    for(int i=0;i<n/2;i++)
    {
        res.push_back(i);
        res.push_back(n-i-1);
    }
    if(n%2==1)res.push_back(n/2);
    return res;
}
